Gets the current update that is queued for a device​
GET
/devices/{id}/firmware/update
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Device ID
Type
Requiredinteger
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
info:
title: Lightbug API
version: '2'
externalDocs:
description: ''
url: ''
openapi: 3.1.0
servers:
- url: https://api.lightbug.cloud/v2
security:
- ApiKeyAuth: []
tags: []
paths:
/devices/{id}/firmware/update:
get:
parameters:
- description: Device ID
in: path
name: id
required: true
schema:
type: integer
responses:'200':
yaml
content:
application/json:
schema:
properties:
_forceFW:
description: Legacy field, will be removed in the future
type: boolean
pending:
description: |-
Pending firmware, as decided by the firmware update system
If a specific firmware has been requested, this is likely to be the same as the requested firmware
Otherwise it is the firmware that the device has been told to update to, perhaps due to new channel releases or other defaults
type: integer
pendingReason:
description: Reason for the pending firmware
type: string
request:
description: Requested firmware version
type: integer
updateAvailability:
description: Value indicating the importance of checking the bootserver for possible FW updates (for the device)
type: integer
updateRedirects:
description: Number of times the device has been told to check the bootserver for possible FW updates, since the last successful update, or FW request
type: integer
type: object
description: OK'400':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Bad Request'401':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Unauthorized'404':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Not Found'429':
yaml
content:
application/json:
schema:
type: string
description: Limit exceeded
headers:
X-Ratelimit-Limit:
schema:
type: integer
X-Ratelimit-Remaining:
schema:
type: integer
X-Ratelimit-Reset:
schema:
type: integeryaml
security:
- ApiKeyAuth: []
summary: Gets the current update that is queued for a device
tags:
- devices
operationId: get-devices-id-firmware-update
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...